<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (20) on Thu Jun 15 22:50:37 CEST 2023 -->
<title>Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-06-15">
<meta name="description" content="index">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="constant-values.html">Constant&nbsp;Field&nbsp;Values</a>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><a href="Dictionnaire.html#choisirMot()" class="member-name-link">choisirMot()</a> - Method in class <a href="Dictionnaire.html" title="class in Unnamed Package">Dictionnaire</a></dt>
<dd>
<div class="block">choisit un mot au hasard dans le dictionnaire</div>
</dd>
<dt><a href="Chronometre.html" class="type-name-link" title="class in Unnamed Package">Chronometre</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Permet de gérer un Text associé à une Timeline pour afficher un temps écoulé</div>
</dd>
<dt><a href="Chronometre.html#%3Cinit%3E()" class="member-name-link">Chronometre()</a> - Constructor for class <a href="Chronometre.html" title="class in Unnamed Package">Chronometre</a></dt>
<dd>
<div class="block">Constructeur permettant de créer le chronomètre
 avec un label initialisé à "0:0:0"
 Ce constructeur créer la Timeline, la KeyFrame et le contrôleur</div>
</dd>
<dt><a href="Clavier.html" class="type-name-link" title="class in Unnamed Package">Clavier</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Génère la vue d'un clavier et associe le contrôleur aux touches
 le choix ici est d'un faire un héritié d'un TilePane</div>
</dd>
<dt><a href="Clavier.html#%3Cinit%3E(java.lang.String,javafx.event.EventHandler)" class="member-name-link">Clavier(String, EventHandler&lt;ActionEvent&gt;)</a> - Constructor for class <a href="Clavier.html" title="class in Unnamed Package">Clavier</a></dt>
<dd>
<div class="block">constructeur du clavier</div>
</dd>
<dt><a href="ControleurChronometre.html" class="type-name-link" title="class in Unnamed Package">ControleurChronometre</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Contrôleur du chronomètre</div>
</dd>
<dt><a href="ControleurChronometre.html#%3Cinit%3E(Chronometre)" class="member-name-link">ControleurChronometre(Chronometre)</a> - Constructor for class <a href="ControleurChronometre.html" title="class in Unnamed Package">ControleurChronometre</a></dt>
<dd>
<div class="block">Constructeur du contrôleur du chronomètre
 noter que le modèle du chronomètre est tellement simple
 qu'il est inclus dans le contrôleur</div>
</dd>
<dt><a href="ControleurClavier.html" class="type-name-link" title="class in Unnamed Package">ControleurClavier</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ControleurInfos.html" class="type-name-link" title="class in Unnamed Package">ControleurInfos</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Contrôleur à activer lorsque l'on clique sur le bouton info</div>
</dd>
<dt><a href="ControleurInfos.html#%3Cinit%3E(Pendu)" class="member-name-link">ControleurInfos(Pendu)</a> - Constructor for class <a href="ControleurInfos.html" title="class in Unnamed Package">ControleurInfos</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ControleurLancerPartie.html" class="type-name-link" title="class in Unnamed Package">ControleurLancerPartie</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Contrôleur à activer lorsque l'on clique sur le bouton rejouer ou Lancer une
 partie</div>
</dd>
<dt><a href="ControleurLancerPartie.html#%3Cinit%3E(MotMystere,Pendu)" class="member-name-link">ControleurLancerPartie(MotMystere, Pendu)</a> - Constructor for class <a href="ControleurLancerPartie.html" title="class in Unnamed Package">ControleurLancerPartie</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ControleurLettres.html" class="type-name-link" title="class in Unnamed Package">ControleurLettres</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Controleur du clavier</div>
</dd>
<dt><a href="ControleurNiveau.html" class="type-name-link" title="class in Unnamed Package">ControleurNiveau</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Controleur des radio boutons gérant le niveau</div>
</dd>
<dt><a href="ControleurNiveau.html#%3Cinit%3E(MotMystere)" class="member-name-link">ControleurNiveau(MotMystere)</a> - Constructor for class <a href="ControleurNiveau.html" title="class in Unnamed Package">ControleurNiveau</a></dt>
<dd>&nbsp;</dd>
<dt><a href="ControleurNouveauMot.html" class="type-name-link" title="class in Unnamed Package">ControleurNouveauMot</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:D">D</h2>
<dl class="index">
<dt><a href="Clavier.html#desactiveTouches(java.util.Set)" class="member-name-link">desactiveTouches(Set&lt;String&gt;)</a> - Method in class <a href="Clavier.html" title="class in Unnamed Package">Clavier</a></dt>
<dd>
<div class="block">permet de désactiver certaines touches du clavier (et active les autres)</div>
</dd>
<dt><a href="Dictionnaire.html" class="type-name-link" title="class in Unnamed Package">Dictionnaire</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Stocke une liste de mot issue d'un fichier texte
 en filtrant les mots selon leur taille
 et permet d'en choisir un aléatoirement</div>
</dd>
<dt><a href="Dictionnaire.html#%3Cinit%3E(java.lang.String,int,int)" class="member-name-link">Dictionnaire(String, int, int)</a> - Constructor for class <a href="Dictionnaire.html" title="class in Unnamed Package">Dictionnaire</a></dt>
<dd>
<div class="block">Constructeur qui lit un fichier de mot et retient ceux qui ont une longueur
 comprise entre longMin et longMax</div>
</dd>
<dt><a href="MotMystere.html#DIFFICILE" class="member-name-link">DIFFICILE</a> - Static variable in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">Niveau DIFFICILE : seuls les traits d'union si le mot à trouver en comporte</div>
</dd>
</dl>
<h2 class="title" id="I:E">E</h2>
<dl class="index">
<dt><a href="MotMystere.html#essaiLettre(char)" class="member-name-link">essaiLettre(char)</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">permet au joueur d'essayer une lettre</div>
</dd>
<dt><a href="MotMystere.html#EXPERT" class="member-name-link">EXPERT</a> - Static variable in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">Niveau EXPERT : rien n'est donné, ni lettre ni trait d'union</div>
</dd>
</dl>
<h2 class="title" id="I:F">F</h2>
<dl class="index">
<dt><a href="MotMystere.html#FACILE" class="member-name-link">FACILE</a> - Static variable in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">Niveau FACILE : la première lettre et la dernière lettre du mot à trouver sont données ainsi que les éventuels caractères non alphabétiques (traits d'union par exemple)</div>
</dd>
</dl>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><a href="MotMystere.html#gagne()" class="member-name-link">gagne()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Pendu.html#getChrono()" class="member-name-link">getChrono()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>
<div class="block">accesseur du chronomètre (pour les controleur du jeu)</div>
</dd>
<dt><a href="Pendu.html#getClavier()" class="member-name-link">getClavier()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Chronometre.html#getEnCours()" class="member-name-link">getEnCours()</a> - Method in class <a href="Chronometre.html" title="class in Unnamed Package">Chronometre</a></dt>
<dd>
<div class="block">Permet de connaitre la valeur de l'attribut enCours</div>
</dd>
<dt><a href="MotMystere.html#getLettresEssayees()" class="member-name-link">getLettresEssayees()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
<dt><a href="MotMystere.html#getMotATrouver()" class="member-name-link">getMotATrouver()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
<dt><a href="MotMystere.html#getMotCrypte()" class="member-name-link">getMotCrypte()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
<dt><a href="MotMystere.html#getNbErreursMax()" class="member-name-link">getNbErreursMax()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
<dt><a href="MotMystere.html#getNbErreursRestants()" class="member-name-link">getNbErreursRestants()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
<dt><a href="MotMystere.html#getNbEssais()" class="member-name-link">getNbEssais()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
<dt><a href="MotMystere.html#getNbLettresRestantes()" class="member-name-link">getNbLettresRestantes()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
<dt><a href="MotMystere.html#getNiveau()" class="member-name-link">getNiveau()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:H">H</h2>
<dl class="index">
<dt><a href="ControleurChronometre.html#handle(javafx.event.ActionEvent)" class="member-name-link">handle(ActionEvent)</a> - Method in class <a href="ControleurChronometre.html" title="class in Unnamed Package">ControleurChronometre</a></dt>
<dd>
<div class="block">Actions à effectuer tous les pas de temps
 essentiellement mesurer le temps écoulé depuis la dernière mesure
 et mise à jour de la durée totale</div>
</dd>
<dt><a href="ControleurInfos.html#handle(javafx.event.ActionEvent)" class="member-name-link">handle(ActionEvent)</a> - Method in class <a href="ControleurInfos.html" title="class in Unnamed Package">ControleurInfos</a></dt>
<dd>
<div class="block">L'action consiste à afficher une fenêtre popup précisant les règles du jeu.</div>
</dd>
<dt><a href="ControleurLancerPartie.html#handle(javafx.event.ActionEvent)" class="member-name-link">handle(ActionEvent)</a> - Method in class <a href="ControleurLancerPartie.html" title="class in Unnamed Package">ControleurLancerPartie</a></dt>
<dd>
<div class="block">L'action consiste à recommencer une partie.</div>
</dd>
<dt><a href="ControleurLettres.html#handle(javafx.event.ActionEvent)" class="member-name-link">handle(ActionEvent)</a> - Method in class <a href="ControleurLettres.html" title="class in Unnamed Package">ControleurLettres</a></dt>
<dd>
<div class="block">Actions à effectuer lors du clic sur une touche du clavier
 Il faut donc: Essayer la lettre, mettre à jour l'affichage 
 et vérifier si la partie est finie</div>
</dd>
<dt><a href="ControleurNiveau.html#handle(javafx.event.ActionEvent)" class="member-name-link">handle(ActionEvent)</a> - Method in class <a href="ControleurNiveau.html" title="class in Unnamed Package">ControleurNiveau</a></dt>
<dd>
<div class="block">gère le changement de niveau</div>
</dd>
<dt><a href="ControleurNouveauMot.html#handle(javafx.event.ActionEvent)" class="member-name-link">handle(ActionEvent)</a> - Method in class <a href="ControleurNouveauMot.html" title="class in Unnamed Package">ControleurNouveauMot</a></dt>
<dd>
<div class="block">Actions à effectuer lors du clic sur le bouton Nouveau Mot</div>
</dd>
<dt><a href="RetourAccueil.html#handle(javafx.event.ActionEvent)" class="member-name-link">handle(ActionEvent)</a> - Method in class <a href="RetourAccueil.html" title="class in Unnamed Package">RetourAccueil</a></dt>
<dd>
<div class="block">L'action consiste à retourner sur la page d'accueil.</div>
</dd>
<dt><a href="ControleurClavier.html#handle(javafx.scene.input.KeyEvent)" class="member-name-link">handle(KeyEvent)</a> - Method in class <a href="ControleurClavier.html" title="class in Unnamed Package">ControleurClavier</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:I">I</h2>
<dl class="index">
<dt><a href="Pendu.html#init()" class="member-name-link">init()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>
<div class="block">initialise les attributs (créer le modèle, charge les images, crée le chrono
 ...)</div>
</dd>
</dl>
<h2 class="title" id="I:L">L</h2>
<dl class="index">
<dt><a href="Pendu.html#lancePartie()" class="member-name-link">lancePartie()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>
<div class="block">lance une partie</div>
</dd>
</dl>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><a href="Pendu.html#main(java.lang.String%5B%5D)" class="member-name-link">main(String[])</a> - Static method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>
<div class="block">Programme principal</div>
</dd>
<dt><a href="Pendu.html#majAffichage()" class="member-name-link">majAffichage()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>
<div class="block">raffraichit l'affichage selon les données du modèle</div>
</dd>
<dt><a href="Pendu.html#modeAccueil()" class="member-name-link">modeAccueil()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Pendu.html#modeJeu()" class="member-name-link">modeJeu()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Pendu.html#modeParametres()" class="member-name-link">modeParametres()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="MotMystere.html" class="type-name-link" title="class in Unnamed Package">MotMystere</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Modèle pour le jeu du pendu.</div>
</dd>
<dt><a href="MotMystere.html#%3Cinit%3E(java.lang.String,int,int)" class="member-name-link">MotMystere(String, int, int)</a> - Constructor for class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">constructeur dans lequel on impose le mot à trouver</div>
</dd>
<dt><a href="MotMystere.html#%3Cinit%3E(java.lang.String,int,int,int,int)" class="member-name-link">MotMystere(String, int, int, int, int)</a> - Constructor for class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">Constructeur dans lequel on va initialiser un dictionnaire pour choisir les mots à trouver</div>
</dd>
<dt><a href="MotMystere.html#MOYEN" class="member-name-link">MOYEN</a> - Static variable in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">Niveau MOYEN : la première lettre du mot à trouver est donnée ainsi que les traits d'union si le mot à trouver en comporte</div>
</dd>
</dl>
<h2 class="title" id="I:N">N</h2>
<dl class="index">
<dt><a href="Pendu.html#niveaux" class="member-name-link">niveaux</a> - Variable in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>
<div class="block">Liste qui contient les noms des niveaux</div>
</dd>
</dl>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><a href="Pendu.html" class="type-name-link" title="class in Unnamed Package">Pendu</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Vue du jeu du pendu</div>
</dd>
<dt><a href="Pendu.html#%3Cinit%3E()" class="member-name-link">Pendu()</a> - Constructor for class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="MotMystere.html#perdu()" class="member-name-link">perdu()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Pendu.html#popUpLancerPartie()" class="member-name-link">popUpLancerPartie()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Pendu.html#popUpMessageGagne()" class="member-name-link">popUpMessageGagne()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Pendu.html#popUpMessagePerdu()" class="member-name-link">popUpMessagePerdu()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Pendu.html#popUpPartieEnCours()" class="member-name-link">popUpPartieEnCours()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
<dt><a href="Pendu.html#popUpReglesDuJeu()" class="member-name-link">popUpReglesDuJeu()</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:R">R</h2>
<dl class="index">
<dt><a href="ControleurChronometre.html#reset()" class="member-name-link">reset()</a> - Method in class <a href="ControleurChronometre.html" title="class in Unnamed Package">ControleurChronometre</a></dt>
<dd>
<div class="block">Remet la durée à 0</div>
</dd>
<dt><a href="Chronometre.html#resetTime()" class="member-name-link">resetTime()</a> - Method in class <a href="Chronometre.html" title="class in Unnamed Package">Chronometre</a></dt>
<dd>
<div class="block">Permet de remettre le chronomètre à 0</div>
</dd>
<dt><a href="RetourAccueil.html" class="type-name-link" title="class in Unnamed Package">RetourAccueil</a> - Class in <a href="package-summary.html">Unnamed Package</a></dt>
<dd>
<div class="block">Contrôleur à activer lorsque l'on clique sur le bouton Accueil</div>
</dd>
<dt><a href="RetourAccueil.html#%3Cinit%3E(MotMystere,Pendu)" class="member-name-link">RetourAccueil(MotMystere, Pendu)</a> - Constructor for class <a href="RetourAccueil.html" title="class in Unnamed Package">RetourAccueil</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:S">S</h2>
<dl class="index">
<dt><a href="Dictionnaire.html#sansAccents(java.lang.String)" class="member-name-link">sansAccents(String)</a> - Static method in class <a href="Dictionnaire.html" title="class in Unnamed Package">Dictionnaire</a></dt>
<dd>
<div class="block">permet d'enlever les accents à un mot</div>
</dd>
<dt><a href="MotMystere.html#setMotATrouver()" class="member-name-link">setMotATrouver()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">Réinitialise le jeu avec un nouveau mot à trouver choisi au hasard dans le dictionnaire</div>
</dd>
<dt><a href="MotMystere.html#setMotATrouver(java.lang.String)" class="member-name-link">setMotATrouver(String)</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">réinitialise le jeu avec un nouveau à trouver</div>
</dd>
<dt><a href="MotMystere.html#setNiveau(int)" class="member-name-link">setNiveau(int)</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>
<div class="block">change le niveau de jeu (n'a pas d'effet en cours de partie)</div>
</dd>
<dt><a href="Chronometre.html#setTime(long)" class="member-name-link">setTime(long)</a> - Method in class <a href="Chronometre.html" title="class in Unnamed Package">Chronometre</a></dt>
<dd>
<div class="block">Permet au controleur de mettre à jour le text
 la durée est affichée sous la forme m:s</div>
</dd>
<dt><a href="Chronometre.html#start()" class="member-name-link">start()</a> - Method in class <a href="Chronometre.html" title="class in Unnamed Package">Chronometre</a></dt>
<dd>
<div class="block">Permet de démarrer le chronomètre</div>
</dd>
<dt><a href="Pendu.html#start(javafx.stage.Stage)" class="member-name-link">start(Stage)</a> - Method in class <a href="Pendu.html" title="class in Unnamed Package">Pendu</a></dt>
<dd>
<div class="block">créer le graphe de scène et lance le jeu</div>
</dd>
<dt><a href="Chronometre.html#stop()" class="member-name-link">stop()</a> - Method in class <a href="Chronometre.html" title="class in Unnamed Package">Chronometre</a></dt>
<dd>
<div class="block">Permet d'arrêter le chronomètre</div>
</dd>
</dl>
<h2 class="title" id="I:T">T</h2>
<dl class="index">
<dt><a href="MotMystere.html#toString()" class="member-name-link">toString()</a> - Method in class <a href="MotMystere.html" title="class in Unnamed Package">MotMystere</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a><span class="vertical-separator">|</span><a href="constant-values.html">Constant&nbsp;Field&nbsp;Values</a></main>
</div>
</div>
</body>
</html>
